// Stock SmartDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Stock Smart.h"
#include "Stock SmartDlg.h"
#include "Serial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStockSmartDlg dialog

CStockSmartDlg::CStockSmartDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStockSmartDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStockSmartDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CStockSmartDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStockSmartDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CStockSmartDlg, CDialog)
	//{{AFX_MSG_MAP(CStockSmartDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
	ON_BN_CLICKED(IDC_BUTTON4, OnButton4)
	ON_BN_CLICKED(IDC_BUTTON5, OnButton5)
	ON_BN_CLICKED(IDC_BUTTON6, OnButton6)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStockSmartDlg message handlers

BOOL CStockSmartDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CStockSmartDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CStockSmartDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CStockSmartDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CStockSmartDlg::OnButton1() 
{
		CSerial Botao1;
	
	//Comandos Enviados Via Serial
	char *Velocidade = "\rSMVC\r";
	//Comandos do Motor do Eixo Y
	char *MotorY1 = "\rSM2RR\r";
	char *MotorY2 = "\rSM20190\r";
	char *MotorY3 = "\rSM20006\r";
	char *MotorY4 = "\rSM2RL\r";
	char *MotorY5 = "\rSM200FB\r";
	char *MotorY6 = "\rSM20100\r";
	char *MotorY7 = "\rSM2FREE\r";
	//Comandos dos Motores do Eixo x
		char *MotorX1 = "\rSM1RR\r";
		char *MotorX2= "\rSM1000A\r";
		char *MotorX3 = "\rSM10190\r";
		char *MotorX4 = "\rSM1RL\r";
		char *MotorX5= "\rSM1FREE\r";
	//Comandos do Motor DC
	char *MotorDC1 = "\rWR04\r";
	char *MotorDC2 = "\rWR08\r";
	char *MotorDC3 = "\rWR00\r";

	//Trava Os Demais Botes
	GetDlgItem(IDC_BUTTON2)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(FALSE);
	GetDlgItem(IDOK)->EnableWindow(FALSE);
	GetDlgItem(IDCANCEL)->EnableWindow(FALSE);

	//Teste Para Que A Porta COM1 Seja Aberta
	if(Botao1.Open("COM1",9600)){
		//Acelera Os Motores
		Botao1.SendData(Velocidade,strlen(Velocidade));
			Sleep(1000);
	//Envia Comomandos
		Botao1.SendData(MotorX1,strlen(MotorX1));		//Gira Sentido Horario
			Sleep(1000);								//"Dorme" Durante 1000 Milisegundos
		Botao1.SendData(MotorX2,strlen(MotorX2));		//Anda um pouco
			Sleep(1000);
		Botao1.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao1.SendData(MotorY4,strlen(MotorY4));		//Motor Y Gira Sentido Anti-Horario
			Sleep(1000);								
		Botao1.SendData(MotorY2,strlen(MotorY2));		//Sobe at o produto 2x1
			Sleep(14000);
		Botao1.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao1.SendData(MotorY3,strlen(MotorY3));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao1.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC volta
			Sleep(1000);
		Botao1.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(500);
		Botao1.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao1.SendData(MotorY5,strlen(MotorY5));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao1.SendData(MotorY7,strlen(MotorY7));		//Desliga Temporariamente o Motor Y
			Sleep(500);
		Botao1.SendData(MotorX3,strlen(MotorX3));		//Vai at a entrega
			Sleep(11000);
		Botao1.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao1.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao1.SendData(MotorY1,strlen(MotorY1));		//Motor Y Gira Sentido Horario
			Sleep(1000);
		Botao1.SendData(MotorY3,strlen(MotorY3));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao1.SendData(MotorY7,strlen(MotorY7));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao1.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC Volta
			Sleep(1000);
		Botao1.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(1000);
		Botao1.SendData(MotorX4,strlen(MotorX4));		//Gira Sentido Anti-Horario
			Sleep(1000);
		Botao1.SendData(MotorX3,strlen(MotorX3));		//Motor X Retorna ao Inicio
			Sleep(1000);
		Botao1.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao1.SendData(MotorY1,strlen(MotorY1));		//Motor Y Gira Sentido Horario
			Sleep(1000);
		Botao1.SendData(MotorY6,strlen(MotorY6));		//Motor Y Retorna ao Inicio
			Sleep(1000);
		Botao1.SendData(MotorY7,strlen(MotorY7));		//Desliga Temporariamente o Motor Y
			Sleep(1000);	
		Botao1.Close();
	}
	//Abilita Os Demais Botes
	GetDlgItem(IDC_BUTTON2)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(TRUE);
	GetDlgItem(IDOK)->EnableWindow(TRUE);
	GetDlgItem(IDCANCEL)->EnableWindow(TRUE);
	
}

void CStockSmartDlg::OnButton2() 
{
CSerial Botao2;
	//Comandos Enviados Via Serial
	char *Velocidade = "\rSMVC\r";
	//Comandos do Motor do Eixo Y
	char *MotorY1 = "\rSM2RR\r";
	char *MotorY2= "\rSM200FB\r";
	char *MotorY3 = "\rSM20006\r";
	char *MotorY4 = "\rSM2RL\r";
	char *MotorY5 = "\rSM200FB\r";
	char *MotorY6 = "\rSM2FREE\r";
	//Comandos dos Motores do Eixo x
		char *MotorX1 = "\rSM1RR\r";
		char *MotorX2 = "\rSM1000A\r";
		char *MotorX3 = "\rSM10190\r";
		char *MotorX4 = "\rSM1RL\r";
		char *MotorX5 = "\rSM1FREE\r";
	//Comandos do Motor DC
	char *MotorDC1 = "\rWR04\r";
	char *MotorDC2= "\rWR08\r";
	char *MotorDC3 = "\rWR00\r";

	GetDlgItem(IDC_BUTTON1)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(FALSE);
	GetDlgItem(IDOK)->EnableWindow(FALSE);
	GetDlgItem(IDCANCEL)->EnableWindow(FALSE);

	if(Botao2.Open("COM1",9600)){
	//Acelera Os Motores
		Botao2.SendData(Velocidade,strlen(Velocidade));
			Sleep(1000);
	//Envia Comomandos
		Botao2.SendData(MotorX1,strlen(MotorX1));		//Gira Sentido Horario
			Sleep(1000);								//"Dorme" Durante 1000 Milisegundos
		Botao2.SendData(MotorX2,strlen(MotorX2));		//Anda um pouco
			Sleep(1000);
		Botao2.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao2.SendData(MotorY4,strlen(MotorY4));		//Gira Sentido Anti-Horario
			Sleep(1000);								
		Botao2.SendData(MotorY2,strlen(MotorY1));		//Sobe at o produto 1x2
			Sleep(14000);
		Botao2.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao2.SendData(MotorY3,strlen(MotorY3));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao2.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC volta
			Sleep(1000);
		Botao2.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(500);
		Botao2.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(500);
		Botao2.SendData(MotorX3,strlen(MotorX3));		//Vai at a entrega
			Sleep(11000);
		Botao2.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao2.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao2.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao2.SendData(MotorY3,strlen(MotorY3));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao2.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao2.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC Volta
			Sleep(1000);
		Botao2.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(1000);
		Botao2.SendData(MotorX4,strlen(MotorX4));		//Gira Sentido Anti-Horario
			Sleep(1000);
		Botao2.SendData(MotorX3,strlen(MotorX3));		//Motor X Retorna ao Inicio
			Sleep(1000);
		Botao2.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao2.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao2.SendData(MotorY5,strlen(MotorY5));		//Motor Y Retorna ao Inicio
			Sleep(1000);
		Botao2.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao2.Close();
	}

	GetDlgItem(IDC_BUTTON1)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(TRUE);
	GetDlgItem(IDOK)->EnableWindow(TRUE);
	GetDlgItem(IDCANCEL)->EnableWindow(TRUE);		
}

void CStockSmartDlg::OnButton3() 
{
CSerial Botao3;
	//Comandos Enviados Via Serial
	char *Velocidade = "\rSMVC\r";
	//Comandos do Motor do Eixo Y
	char *MotorY1 = "\rSM2RR\r";
	char *MotorY3 = "\rSM20006\r";
	char *MotorY4 = "\rSM2RL\r";
	char *MotorY5 = "\rSM200FB\r";
	char *MotorY6 = "\rSM2FREE\r";
	//Comandos dos Motores do Eixo x
		char *MotorX1 = "\rSM1RR\r";
		char *MotorX2 = "\rSM1000A\r";
		char *MotorX3 = "\rSM10190\r";
		char *MotorX4 = "\rSM1RL\r";
		char *MotorX5 = "\rSM1FREE\r";
	//Comandos do Motor DC
	char *MotorDC1 = "\rWR04\r";
	char *MotorDC2 = "\rWR08\r";
	char *MotorDC3 = "\rWR00\r";

	GetDlgItem(IDC_BUTTON1)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(FALSE);
	GetDlgItem(IDOK)->EnableWindow(FALSE);
	GetDlgItem(IDCANCEL)->EnableWindow(FALSE);

	if(Botao3.Open("COM1",9600)){
		//Acelera Os Motores
		Botao3.SendData(Velocidade,strlen(Velocidade));
			Sleep(1000);
	//Envia Comomandos
		Botao3.SendData(MotorX1,strlen(MotorX1));		//Gira Sentido Horario
			Sleep(1000);								//"Dorme" Durante 1000 Milisegundos
		Botao3.SendData(MotorX2,strlen(MotorX2));		//Anda um pouco
			Sleep(1000);
		Botao3.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);								
		Botao3.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao3.SendData(MotorY4,strlen(MotorY4));		//Gira Sentido Anti-Horario
			Sleep(11000);
		Botao3.SendData(MotorY3,strlen(MotorY3));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao3.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC volta
			Sleep(1000);
		Botao3.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(500);
		Botao3.SendData(MotorY6,strlen(MotorY6));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao3.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(500);
		Botao3.SendData(MotorX3,strlen(MotorX3));		//Vai at a entrega
			Sleep(11000);
		Botao3.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao3.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao3.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao3.SendData(MotorY3,strlen(MotorY3));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao3.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao3.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC Volta
			Sleep(1000);
		Botao3.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(1000);
		Botao3.SendData(MotorX4,strlen(MotorX4));		//Gira Sentido Anti-Horario
			Sleep(1000);
		Botao3.SendData(MotorX3,strlen(MotorX3));		//Motor X Retorna ao Inicio
			Sleep(1000);
		Botao3.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao3.SendData(MotorY1,strlen(MotorY1));		//Motor Gira Sentido Horario
			Sleep(11000);
		Botao3.SendData(MotorY5,strlen(MotorY5));		//Motor Y Retorna ao Inicio
			Sleep(1000);
		Botao3.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao3.Close();
	}
	
	GetDlgItem(IDC_BUTTON1)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(TRUE);
	GetDlgItem(IDOK)->EnableWindow(TRUE);
	GetDlgItem(IDCANCEL)->EnableWindow(TRUE);	
}

void CStockSmartDlg::OnButton4() 
{
CSerial Botao4;

	//Comandos Enviados Via Serial
	char *Velocidade = "\rSMVC\r";
	//Comandos do Motor do Eixo Y
	char *MotorY1 = "\rSM2RR\r";
	char *MotorY2 = "\rSM20190\r";
	char *MotorY3 = "\rSM20006\r";
	char *MotorY4 = "\rSM2RL\r";
	char *MotorY5 = "\rSM200FB\r";
	char *MotorY6 = "\rSM20100\r";
	char *MotorY7 = "\rSM2FREE\r";
	//Comandos dos Motores do Eixo x
		char *MotorX1 = "\rSM1RR\r";
		char *MotorX2 = "\rSM100FF\r";
		char *MotorX3 = "\rSM1000F\r";
		char *MotorX4 = "\rSM1RL\r";
		char *MotorX5 = "\rSM1FREE\r";
	//Comandos do Motor DC
	char *MotorDC1 = "\rWR04\r";
	char *MotorDC2 = "\rWR08\r";
	char *MotorDC3 = "\rWR00\r";

	GetDlgItem(IDC_BUTTON1)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(FALSE);
	GetDlgItem(IDOK)->EnableWindow(FALSE);
	GetDlgItem(IDCANCEL)->EnableWindow(FALSE);

	if(Botao4.Open("COM1",9600)){
	//Acelera Os Motores
		Botao4.SendData(Velocidade,strlen(Velocidade));
			Sleep(1000);
	//Envia Comomandos
		Botao4.SendData(MotorX1,strlen(MotorX1));		//Gira Sentido Horario
			Sleep(1000);								//"Dorme" Durante 1000 Milisegundos
		Botao4.SendData(MotorX2,strlen(MotorX2));		//Anda um pouco
			Sleep(1000);
		Botao4.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao4.SendData(MotorY4,strlen(MotorY4));		//Motor Y Gira Sentido Anti-Horario
			Sleep(1000);								
		Botao4.SendData(MotorY2,strlen(MotorY1));		//Sobe at o produto 2x1
			Sleep(14000);
		Botao4.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao4.SendData(MotorY3,strlen(MotorY3));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao4.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC volta
			Sleep(1000);
		Botao4.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(500);
		Botao4.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao4.SendData(MotorY5,strlen(MotorY5));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao4.SendData(MotorY7,strlen(MotorY7));		//Desliga Temporariamente o Motor Y
			Sleep(500);
		Botao4.SendData(MotorX3,strlen(MotorX3));		//Vai at a entrega
			Sleep(11000);
		Botao4.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao4.SendData(MotorDC1,strlen(MotorDC1));		//Motor DC Vai Para Frente
			Sleep(1000);
		Botao4.SendData(MotorY1,strlen(MotorY1));		//Motor Y Gira Sentido Horario
			Sleep(1000);
		Botao4.SendData(MotorY3,strlen(MotorY3));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao4.SendData(MotorY7,strlen(MotorY7));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao4.SendData(MotorDC2,strlen(MotorDC2));		//Motor DC Volta
			Sleep(1000);
		Botao4.SendData(MotorDC3,strlen(MotorDC3));		//Desliga Temporariamente o Motor DC
			Sleep(1000);
		Botao4.SendData(MotorX4,strlen(MotorX4));		//Gira Sentido Anti-Horario
			Sleep(1000);
		Botao4.SendData(MotorX3,strlen(MotorX3));		//Motor X Retorna ao Inicio
			Sleep(1000);
		Botao4.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao4.SendData(MotorY1,strlen(MotorY1));		//Motor Y Gira Sentido Horario
			Sleep(1000);
		Botao4.SendData(MotorY6,strlen(MotorY6));		//Motor Y Retorna ao Inicio
			Sleep(1000);
		Botao4.SendData(MotorY7,strlen(MotorY7));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao4.Close();
	}

	GetDlgItem(IDC_BUTTON1)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(TRUE);
	GetDlgItem(IDOK)->EnableWindow(TRUE);
	GetDlgItem(IDCANCEL)->EnableWindow(TRUE);	
}

void CStockSmartDlg::OnButton5() 
{
CSerial Botao5;
	//Comandos Enviados Via Serial
	char *Velocidade = "\rSMVC\r";
	//Comandos do Motor do Eixo Y
	char *MotorY1 = "\rSM2RR\r";
	char *MotorY2 = "\rSM200FB\r";
	char *MotorY3 = "\rSM20006\r";
	char *MotorY4 = "\rSM2RL\r";
	char *MotorY5 = "\rSM200FB\r";
	char *MotorY6 = "\rSM2FREE\r";
	//Comandos dos Motores do Eixo x
		char *MotorX1 = "\rSM1RR\r";
		char *MotorX2 = "\rSM100FF\r";
		char *MotorX3 = "\rSM1000F\r";
		char *MotorX4 = "\rSM1RL\r";
		char *MotorX5 = "\rSM1FREE\r";
	//Comandos do Motor DC
	char *MotorDC1 = "\rWR04\r";
	char *MotorDC2 = "\rWR08\r";
	char *MotorDC3 = "\rWR00\r";

	GetDlgItem(IDC_BUTTON1)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(FALSE);
	GetDlgItem(IDOK)->EnableWindow(FALSE);
	GetDlgItem(IDCANCEL)->EnableWindow(FALSE);

	if(Botao5.Open("COM1",9600)){
			//Acelera Os Motores
	Botao5.SendData(Velocidade,strlen(Velocidade));
			Sleep(1000);
	//Envia Comomandos
		Botao5.SendData(MotorX1,strlen(MotorX1));		//Gira Sentido Horario
			Sleep(1000);								//"Dorme" Durante 1000 Milisegundos
		Botao5.SendData(MotorX2,strlen(MotorX2));		//Anda um pouco
			Sleep(1000);
		Botao5.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao5.SendData(MotorY4,strlen(MotorY4));		//Gira Sentido Anti-Horario
			Sleep(1000);								
		Botao5.SendData(MotorY2,strlen(MotorY1));		//Sobe at o produto 2x2
			Sleep(14000);
		Botao5.SendData(MotorDC1,strlen(MotorDC1));	//Motor DC Vai Para Frente
			Sleep(1000);
		Botao5.SendData(MotorY3,strlen(MotorY3));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao5.SendData(MotorDC2,strlen(MotorDC2));	//Motor DC volta
			Sleep(1000);
		Botao5.SendData(MotorDC3,strlen(MotorDC3));	//Desliga Temporariamente o Motor DC
			Sleep(500);
		Botao5.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(500);
		Botao5.SendData(MotorX3,strlen(MotorX3));		//Vai at a entrega
			Sleep(11000);
		Botao5.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao5.SendData(MotorDC1,strlen(MotorDC1));	//Motor DC Vai Para Frente
			Sleep(1000);
		Botao5.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao5.SendData(MotorY3,strlen(MotorY3));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao5.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao5.SendData(MotorDC2,strlen(MotorDC2));	//Motor DC Volta
			Sleep(1000);
		Botao5.SendData(MotorDC3,strlen(MotorDC3));	//Desliga Temporariamente o Motor DC
			Sleep(1000);
		Botao5.SendData(MotorX4,strlen(MotorX4));		//Gira Sentido Anti-Horario
			Sleep(1000);
		Botao5.SendData(MotorX3,strlen(MotorX3));		//Motor X Retorna ao Inicio
			Sleep(1000);
		Botao5.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao5.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao5.SendData(MotorY5,strlen(MotorY5));		//Motor Y Retorna ao Inicio
			Sleep(1000);
		Botao5.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao5.Close();
	}	
	
	GetDlgItem(IDC_BUTTON1)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON6)->EnableWindow(TRUE);
	GetDlgItem(IDOK)->EnableWindow(TRUE);
	GetDlgItem(IDCANCEL)->EnableWindow(TRUE);
		
}

void CStockSmartDlg::OnButton6() 
{
CSerial Botao6;
	//Comandos Enviados Via Serial
	char *Velocidade = "\rSMVC\r";
	//Comandos do Motor do Eixo Y
	char *MotorY1 = "\rSM2RR\r";
	char *MotorY3 = "\rSM20006\r";
	char *MotorY4 = "\rSM2RL\r";
	char *MotorY5 = "\rSM200FB\r";
	char *MotorY6 = "\rSM2FREE\r";
	//Comandos dos Motores do Eixo x
		char *MotorX1 = "\rSM1RR\r";
		char *MotorX2 = "\rSM100FF\r";
		char *MotorX3 = "\rSM1000F\r";
		char *MotorX4 = "\rSM1RL\r";
		char *MotorX5 = "\rSM1FREE\r";
	//Comandos do Motor DC
	char *MotorDC1 = "\rWR04\r";
	char *MotorDC2 = "\rWR08\r";
	char *MotorDC3 = "\rWR00\r";
	
	if(Botao6.Open("COM1",9600)){
//Acelera Os Motores
		Botao6.SendData(Velocidade,strlen(Velocidade));
			Sleep(1000);
	//Envia Comomandos
		Botao6.SendData(MotorX1,strlen(MotorX1));		//Gira Sentido Horario
			Sleep(1000);								//"Dorme" Durante 1000 Milisegundos
		Botao6.SendData(MotorX2,strlen(MotorX2));		//Anda um pouco
			Sleep(1000);
		Botao6.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);								
		Botao6.SendData(MotorDC1,strlen(MotorDC1));	//Motor DC Vai Para Frente
			Sleep(1000);
		Botao6.SendData(MotorY4,strlen(MotorY4));		//Gira Sentido Anti-Horario
			Sleep(11000);
		Botao6.SendData(MotorY3,strlen(MotorY3));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao6.SendData(MotorDC2,strlen(MotorDC2));	//Motor DC volta
			Sleep(1000);
		Botao6.SendData(MotorDC3,strlen(MotorDC3));	//Desliga Temporariamente o Motor DC
			Sleep(500);
		Botao6.SendData(MotorY6,strlen(MotorY6));		//Motor Y Sobe um pouco
			Sleep(11000);
		Botao6.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(500);
		Botao6.SendData(MotorX3,strlen(MotorX3));		//Vai at a entrega
			Sleep(11000);
		Botao6.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao6.SendData(MotorDC1,strlen(MotorDC1));	//Motor DC Vai Para Frente
			Sleep(1000);
		Botao6.SendData(MotorY1,strlen(MotorY1));		//Gira Sentido Horario
			Sleep(1000);
		Botao6.SendData(MotorY3,strlen(MotorY3));		//Motor Y Desce um pouco
			Sleep(1000);
		Botao6.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao6.SendData(MotorDC2,strlen(MotorDC2));	//Motor DC Volta
			Sleep(1000);
		Botao6.SendData(MotorDC3,strlen(MotorDC3));	//Desliga Temporariamente o Motor DC
			Sleep(1000);
		Botao6.SendData(MotorX4,strlen(MotorX4));		//Gira Sentido Anti-Horario
			Sleep(1000);
		Botao6.SendData(MotorX3,strlen(MotorX3));		//Motor X Retorna ao Inicio
			Sleep(1000);
		Botao6.SendData(MotorX5,strlen(MotorX5));		//Desliga Temporariamente o Motor X
			Sleep(1000);
		Botao6.SendData(MotorY1,strlen(MotorY1));		//Motor Gira Sentido Horario
			Sleep(11000);
		Botao6.SendData(MotorY5,strlen(MotorY5));		//Motor Y Retorna ao Inicio
			Sleep(1000);
		Botao6.SendData(MotorY6,strlen(MotorY6));		//Desliga Temporariamente o Motor Y
			Sleep(1000);
		Botao6.Close();
	}	

	GetDlgItem(IDC_BUTTON1)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON2)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON3)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON4)->EnableWindow(TRUE);
	GetDlgItem(IDC_BUTTON5)->EnableWindow(TRUE);
	GetDlgItem(IDOK)->EnableWindow(TRUE);
	GetDlgItem(IDCANCEL)->EnableWindow(TRUE);		
}
